Method: advertisers.create

  • The create method creates a new advertiser and returns the newly created advertiser upon success.

  • The create method uses a POST HTTP request to the /v1beta2/advertisers endpoint.

  • The request body should contain an instance of Advertiser.

  • The response body, if successful, will contain a newly created instance of Advertiser.

  • The create method requires the https://www.googleapis.com/auth/display-video OAuth scope for authorization.

Creates a new advertiser. Returns the newly created advertiser if successful. This method can take up to 180 seconds to complete.

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/advertisers

The URL uses gRPC Transcoding syntax.

Request body

The request body contains an instance of Advertiser.

Response body

If successful, the response body contains a newly created instance of Advertiser.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.